Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# png.c File Reference

`#include "png.h"`

Include dependency graph for png.c:

## Defines
#define | PNG_INTERNAL
#define | PNG_NO_EXTERN
## Typedefs
typedef version_1_2_7 | Your_png_h_is_not_version_1_2_7
## Functions
void | png_set_sig_bytes (png_structp png_ptr, int num_bytes)
int | png_sig_cmp (png_bytep sig, png_size_t start, png_size_t num_to_check)
int | png_check_sig (png_bytep sig, int num)
voidpf | png_zalloc (voidpf png_ptr, uInt items, uInt size)
void | png_zfree (voidpf png_ptr, voidpf ptr)
void | png_reset_crc (png_structp png_ptr)
void | png_calculate_crc (png_structp png_ptr, png_bytep ptr, png_size_t length)
png_infop | png_create_info_struct (png_structp png_ptr)
void | png_destroy_info_struct (png_structp png_ptr, png_infopp info_ptr_ptr)
void | png_info_init (png_infop info_ptr)
void | png_info_init_3 (png_infopp ptr_ptr, png_size_t png_info_struct_size)
void | png_data_freer (png_structp png_ptr, png_infop info_ptr, int freer, png_uint_32 mask)
void | png_free_data (png_structp png_ptr, png_infop info_ptr, png_uint_32 mask, int num)
void | png_info_destroy (png_structp png_ptr, png_infop info_ptr)
png_voidp | png_get_io_ptr (png_structp png_ptr)
void | png_init_io (png_structp png_ptr, png_FILE_p fp)
png_charp | png_convert_to_rfc1123 (png_structp png_ptr, png_timep ptime)
png_charp | png_get_copyright (png_structp png_ptr)
png_charp | png_get_libpng_ver (png_structp png_ptr)
png_charp | png_get_header_ver (png_structp png_ptr)
png_charp | png_get_header_version (png_structp png_ptr)
int | png_handle_as_unknown (png_structp png_ptr, png_bytep chunk_name)
int | png_reset_zstream (png_structp png_ptr)
png_uint_32 | png_access_version_number (void)
void | png_init_mmx_flags (png_structp png_ptr)
int | png_mmx_support (void)
## Variables
const char | png_libpng_ver [18] = "1.2.7"
const png_byte | png_sig [8] = {137, 80, 78, 71, 13, 10, 26, 10}
const png_byte | png_IHDR [5] = { 73, 72, 68, 82, '\0'}
const png_byte | png_IDAT [5] = { 73, 68, 65, 84, '\0'}
const png_byte | png_IEND [5] = { 73, 69, 78, 68, '\0'}
const png_byte | png_PLTE [5] = { 80, 76, 84, 69, '\0'}
const png_byte | png_bKGD [5] = { 98, 75, 71, 68, '\0'}
const png_byte | png_cHRM [5] = { 99, 72, 82, 77, '\0'}
const png_byte | png_gAMA [5] = {103, 65, 77, 65, '\0'}
const png_byte | png_hIST [5] = {104, 73, 83, 84, '\0'}
const png_byte | png_iCCP [5] = {105, 67, 67, 80, '\0'}
const png_byte | png_iTXt [5] = {105, 84, 88, 116, '\0'}
const png_byte | png_oFFs [5] = {111, 70, 70, 115, '\0'}
const png_byte | png_pCAL [5] = {112, 67, 65, 76, '\0'}
const png_byte | png_sCAL [5] = {115, 67, 65, 76, '\0'}
const png_byte | png_pHYs [5] = {112, 72, 89, 115, '\0'}
const png_byte | png_sBIT [5] = {115, 66, 73, 84, '\0'}
const png_byte | png_sPLT [5] = {115, 80, 76, 84, '\0'}
const png_byte | png_sRGB [5] = {115, 82, 71, 66, '\0'}
const png_byte | png_tEXt [5] = {116, 69, 88, 116, '\0'}
const png_byte | png_tIME [5] = {116, 73, 77, 69, '\0'}
const png_byte | png_tRNS [5] = {116, 82, 78, 83, '\0'}
const png_byte | png_zTXt [5] = {122, 84, 88, 116, '\0'}
const int | png_pass_start [] = {0, 4, 0, 2, 0, 1, 0}
const int | png_pass_inc [] = {8, 8, 4, 4, 2, 2, 1}
const int | png_pass_ystart [] = {0, 0, 4, 0, 2, 0, 1}
const int | png_pass_yinc [] = {8, 8, 8, 4, 4, 2, 2}
const int | png_pass_mask [] = {0x80, 0x08, 0x88, 0x22, 0xaa, 0x55, 0xff}
const int | png_pass_dsp_mask [] = {0xff, 0x0f, 0xff, 0x33, 0xff, 0x55, 0xff}

## Define Documentation

#define PNG_INTERNAL

#define PNG_NO_EXTERN

## Typedef Documentation

typedef version_1_2_7 Your_png_h_is_not_version_1_2_7

## Function Documentation

png_uint_32 png_access_version_number | ( | void |  | ) |

void png_calculate_crc | ( | png_structp | png_ptr,
|  | png_bytep | ptr,
|  | png_size_t | length
| ) |

int png_check_sig | ( | png_bytep | sig,
|  | int | num
| ) |

png_charp png_convert_to_rfc1123 | ( | png_structp | png_ptr,
|  | png_timep | ptime
| ) |

png_infop png_create_info_struct | ( | png_structp | png_ptr | ) |

void png_data_freer | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | freer,
|  | png_uint_32 | mask
| ) |

void png_destroy_info_struct | ( | png_structp | png_ptr,
|  | png_infopp | info_ptr_ptr
| ) |

void png_free_data | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | mask,
|  | int | num
| ) |

png_charp png_get_copyright | ( | png_structp | png_ptr | ) |

png_charp png_get_header_ver | ( | png_structp | png_ptr | ) |

png_charp png_get_header_version | ( | png_structp | png_ptr | ) |

png_voidp png_get_io_ptr | ( | png_structp | png_ptr | ) |

png_charp png_get_libpng_ver | ( | png_structp | png_ptr | ) |

int png_handle_as_unknown | ( | png_structp | png_ptr,
|  | png_bytep | chunk_name
| ) |

void png_info_destroy | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

void png_info_init | ( | png_infop | info_ptr | ) |

void png_info_init_3 | ( | png_infopp | ptr_ptr,
|  | png_size_t | png_info_struct_size
| ) |

void png_init_io | ( | png_structp | png_ptr,
|  | png_FILE_p | fp
| ) |

void png_init_mmx_flags | ( | png_structp | png_ptr | ) |

int png_mmx_support | ( | void |  | ) |

void png_reset_crc | ( | png_structp | png_ptr | ) |

int png_reset_zstream | ( | png_structp | png_ptr | ) |

void png_set_sig_bytes | ( | png_structp | png_ptr,
|  | int | num_bytes
| ) |

int png_sig_cmp | ( | png_bytep | sig,
|  | png_size_t | start,
|  | png_size_t | num_to_check
| ) |

voidpf png_zalloc | ( | voidpf | png_ptr,
|  | uInt | items,
|  | uInt | size
| ) |

void png_zfree | ( | voidpf | png_ptr,
|  | voidpf | ptr
| ) |

## Variable Documentation

const png_byte png_bKGD[5] = { 98, 75, 71, 68, '\0'}

const png_byte png_cHRM[5] = { 99, 72, 82, 77, '\0'}

const png_byte png_gAMA[5] = {103, 65, 77, 65, '\0'}

const png_byte png_hIST[5] = {104, 73, 83, 84, '\0'}

const png_byte png_iCCP[5] = {105, 67, 67, 80, '\0'}

const png_byte png_IDAT[5] = { 73, 68, 65, 84, '\0'}

const png_byte png_IEND[5] = { 73, 69, 78, 68, '\0'}

const png_byte png_IHDR[5] = { 73, 72, 68, 82, '\0'}

const png_byte png_iTXt[5] = {105, 84, 88, 116, '\0'}

const char png_libpng_ver[18] = "1.2.7"

const png_byte png_oFFs[5] = {111, 70, 70, 115, '\0'}

const int png_pass_dsp_mask[] = {0xff, 0x0f, 0xff, 0x33, 0xff, 0x55, 0xff}

const int png_pass_inc[] = {8, 8, 4, 4, 2, 2, 1}

const int png_pass_mask[] = {0x80, 0x08, 0x88, 0x22, 0xaa, 0x55, 0xff}

const int png_pass_start[] = {0, 4, 0, 2, 0, 1, 0}

const int png_pass_yinc[] = {8, 8, 8, 4, 4, 2, 2}

const int png_pass_ystart[] = {0, 0, 4, 0, 2, 0, 1}

const png_byte png_pCAL[5] = {112, 67, 65, 76, '\0'}

const png_byte png_pHYs[5] = {112, 72, 89, 115, '\0'}

const png_byte png_PLTE[5] = { 80, 76, 84, 69, '\0'}

const png_byte png_sBIT[5] = {115, 66, 73, 84, '\0'}

const png_byte png_sCAL[5] = {115, 67, 65, 76, '\0'}

const png_byte png_sig[8] = {137, 80, 78, 71, 13, 10, 26, 10}

const png_byte png_sPLT[5] = {115, 80, 76, 84, '\0'}

const png_byte png_sRGB[5] = {115, 82, 71, 66, '\0'}

const png_byte png_tEXt[5] = {116, 69, 88, 116, '\0'}

const png_byte png_tIME[5] = {116, 73, 77, 69, '\0'}

const png_byte png_tRNS[5] = {116, 82, 78, 83, '\0'}

const png_byte png_zTXt[5] = {122, 84, 88, 116, '\0'}